Create Project

Create Project

Create a new signature request project by uploading a PDF document. This endpoint is typically used to initiate a document signing workflow, either as a draft or to send to recipients for signature or approval.


HTTP Method & URL

  • Method: POST

  • URL: {{host}}/api/v2/projects?user_type=ENTERPRISE_API

Authentication

  • Type: Bearer Token (recommended)

  • Header:

    • Authorization: Bearer {USER-TOKEN}

Query Parameters

NameTypeRequiredDescriptionExample
user_typestringYesSpecifies the user type. Must be ENTERPRISE_API.ENTERPRISE_API

Request Body (multipart/form-data)

KeyTypeRequiredDescriptionExample Value
filefileYesPDF file to upload for the project.DOC-demo-PDF-form-1.pdf
user_list_editablebooleanNoIf false, recipients cannot be edited after creation.false
creator_as_viewerbooleanNoIf false, creator is not added as a viewer.false
document_stampstring (JSON)NoJSON string describing the electronic notarial/official seal and related notary or authority information to be applied to the document.{ "seal": { "type": "seal", "enp_name": "...", "enp_role_number": "123456" }, "notary_info": { "name": "Juan Dela Cruz", "commission_number": "NTR-001" } }
typestringNoSpecifies the project type. Use DOCUMENT for a standard signing project or TEMPLATE to create a reusable template.DOCUMENT
document_passwordstringNoPassword to protect the completed document. When set, recipients will need this password to open the final signed PDF.password

Example Request Body:

file: /path/to/document.pdf
user_list_editable: false
creator_as_viewer: false
document_stamp: {"seal":{...},"notary_info":{...}}
type: DOCUMENT
document_password: password

Example Request

POST {{host}}/api/v2/projects?user_type=ENTERPRISE_API
Authorization: Bearer {USER-TOKEN}
Content-Type: multipart/form-data
[email protected]
user_list_editable=false
creator_as_viewer=false
document_stamp={"seal":{...},"notary_info":{...}}
type=DOCUMENT
document_password=password

Example Successful Response

{
  "message": "",
  "data": {
    "access_type": "",
    "id": 0,
    "sender_id": 0,
    "uuid": "",
    "reference_number": "",
    "type": "",
    "category": "",
    "source": "",
    "status": "",
    "name": "",
    "file_name": "",
    "url": "",
    "description": "",
    "signatory_type": "",
    "validation_status": "",
    "signer_mark_page": null,
    "signer_mark_x": null,
    "signer_mark_y": null,
    "creator_id": 0,
    "creator_name": "",
    "created_at": "",
    "updated_at": ""
  }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
Body Params
file

file

boolean

true | false (optional)

boolean

true | false (optional)

string

Example: {"seal":{"type":"seal","enp_name":"Mariae Francine Geraldine Biglaen y Sibulop","enp_role_number":"123456"},"notary_info":{"type":"notary","atty_name":"ATTY. MARIA ANGELICA M. DELA CRUZ-SAN FELIPE","roll_no":"123456","roll_no_date":"5 June 2018","commission_no":"2024 - 024","commission_no_valid_until":"Dec 31, 2025","PTR_no":"1234567","PTR_no_location":"Manila","PTR_no_date":"Jan 02, 2025","IBP_no":"123456","IBP_no_date":"Dec 18, 2024 (for 2025)","email":"[email protected]","address":"123, The Actual Bldg., 1234 Avenue, Malate, Manila","MCLE_no_period":"VIII","MCLE_no":"1234567","MCLE_no_date":"Jun 12, 2024","mode_of_notarization":"REN"}}

string

DOCUMENT | TEMPLATE

string

Password of the completed document

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json